开发者社区 > ModelScope模型即服务 > 计算机视觉 > 正文

ModelScope知道pai-dsw上怎么升级ffmpeg吗?

ModelScope知道pai-dsw上怎么升级ffmpeg吗,默认是安装4.2.7版,我想升级成5.1.2版,我尝试过!apt upgrade ffmpeg和!apt autoremove ffmpeg -y、!apt update、!apt upgrade、!apt install ffmpeg -y 都没升级成功?就是我用ffmpeg 4.1.2合成的视频在gradio video上无法显示,而我的电脑上用ffmpeg 5.1.2就可以,我想看看是不是ffmpeg版本导致的

展开
收起
真的很搞笑 2023-10-08 19:33:39 104 0
1 条回答
写回答
取消 提交回答
  • 要在pai-dsw上升级ffmpeg到5.1.2版本,你可以尝试以下步骤:

    1. 首先,确保你的系统已经更新到最新版本。运行以下命令:

      !apt update
      
    2. 卸载当前的ffmpeg版本:

      !apt remove ffmpeg -y
      
    3. 添加ffmpeg的官方PPA(Personal Package Archive):

      !add-apt-repository ppa:jonathonf/ffmpeg-4
      
    4. 再次更新软件包列表:

      !apt update
      
    5. 安装ffmpeg 5.1.2:

      !apt install ffmpeg -y
      

    完成以上步骤后,你的ffmpeg应该已经升级到5.1.2版本。如果仍然无法显示视频,请检查gradio video是否支持5.1.2版本的ffmpeg。

    2023-10-10 11:37:31
    赞同 展开评论 打赏

包含图像分类、图像生成、人体人脸识别、动作识别、目标分割、视频生成、卡通画、视觉评价、三维视觉等多个领域

相关电子书

更多
大规模机器学习在蚂蚁+阿里的应用 立即下载
阿里巴巴机器学习平台AI 立即下载
微博机器学习平台架构和实践 立即下载